# Retrieve Document Verification result

Once a KYC or KYB verification request is done, the verification ID can be used to retrieve the analysis results. This result can also be sent via webhook.

<details>

<summary>Retrieve a KYC or KYB Analysis Result v1</summary>

<mark style="background-color:green;">GET v1/clients-files/client-file-to-analyze-id/{file-verification-uuid}</mark>

file-verification-uuid: is the uuid provided in the response of [this api call](/documentation/integration-mode/rest-api/kyc/id-document-verification.md) for KYC and [this one](/documentation/integration-mode/rest-api/kyb/company-document-verification.md) for KYB.

**Headers:**

* &#x20;Api-Key (required): provided by Danaya
* Api-Secret (required): provided by Danaya
* Content-Type (required): application/json

**Request Body: N/A**

**Responses**

* **OK**
  * Code: 200
  * Body:

```json
{
  "id": 0,
  "addedWithApi": 0,
  "status": "A_TRAITER",
  "mafaValid": true,
  "rccmValid": true,
  "kybConsistentValid": true,
  "reasons": [
    "string"
  ],
  "requestedDate": "2024-08-25T09:44:41.144Z",
  "documents": [
    {
      "id": 0,
      "type": "CNI",
      "personInfoScoring": {// Depreciated, moved to "verifications" list
        "type": "personInfoScoring",
        "id": 0,
        "nni": "string",
        "iDCardNumber": "string",
        "phoneNumber": "string",
        "firstNameMatchingScore": 0,
        "lastNameMatchingScore": 0,
        "dateOfBirthMatchingScore": 0,
        "genderMatchingScore": 0,
        "phoneNumberMatchingScore": 0,
        "comparedWithRealData": true,
        "rawData": "string" // JSON String of the person informations found in de GOV DB
      },
      "contentMap": { // document data extracted with OCR
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
      }
      "verifications": [
        {
          "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
          "status": "EXECUTED",
          "lastRunDate": "2024-08-25T09:44:41.144Z",
          "type": "DB_CHECK",
          "scoring": {
            "type": "personInfoScoring",
            "id": 0,
            "nni": "string",
            "iDCardNumber": "string",
            "phoneNumber": "string",
            "firstNameMatchingScore": 0,
            "lastNameMatchingScore": 0,
            "dateOfBirthMatchingScore": 0,
            "genderMatchingScore": 0,
            "phoneNumberMatchingScore": 0,
            "comparedWithRealData": true,
            "rawData": "string" // JSON String of the person informations found in de GOV DB
          },
          "clientFileDocumentId": 0
        }
      ],
      "fullName": "string",
      "firstName": "string",
      "lastName": "string",
      "dateOfBirth": "string",
      "nni": "string",
      "documentNumber": "string",
      "gender": "string",
      "mrz": "string",
      "nationality": "string"
    },
    {
      "id": 0,
      "type": "RCCM",
       "companyScoring": {
        "type": "companyScoring",
        "id": 0,
        "comparedWithRealData": true,
        "companyNameScore": 0,
        "legalStatusScore": 0,
        "addressScore": 0,
        "shareCapitalScore": 0,
        "durationScore": 0
      },
      "verifications": [
         {
          "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
          "status": "EXECUTED",
          "lastRunDate": "2024-08-25T09:44:41.144Z",
          "type": "DB_CHECK",
          "scoring": {
            "type": "companyScoring",
            "comparedWithRealData": true,
            "companyNameScore": 0,
            "legalStatusScore": 0,
            "addressScore": 0,
            "shareCapitalScore": 0,
            "durationScore": 0
          },
          "clientFileDocumentId": 0
        }
      ],
      "companyName": "string",
      "companyAddress": "string",
      "companyDuration": 0,
      "legalStatus": "string",
      "rccmNumber": "string",
      "shareCapital": "string",
    }
  ],
  "clientFileToAnalyzeId": "3fa85f64-5717-4562-b3fc-2c990f66afa6",
  "company": {
    "id": 0
  },
  "kyc": true,
  "kyb": true
}
```

Details of the response:

**documents\[x].verifications\[x].scoring** : corresponds to the comparison scoring we conducted between the information extracted by OCR from the transmitted identity document image and the official database.

**documents\[x].verifications\[x].scoring.rawData** : corresponds to raw data retrieved from the partner database if the person is found.

**documents\[x].verifications\[x].scoring.comparedWithRealData** : is set to true if the scoring was done with data found in the partner database

**documents\[x].contentMap:** contains the data we were able to extract from the document image you sent us

* **UnAuthorized**
* **Bad Request**

</details>

<details>

<summary>Retrieve a KYC or KYB Analysis Result v2</summary>

<mark style="background-color:green;">GET v2/clients-files/client-file-to-analyze-id/{file-verification-uuid}</mark>

file-verification-uuid: is the uuid provided in the response of [this api call](/documentation/integration-mode/rest-api/kyc/id-document-verification.md) for KYC and [this one](/documentation/integration-mode/rest-api/kyb/company-document-verification.md) for KYB.

**Headers:**

* &#x20;Api-Key (required): provided by Danaya
* Api-Secret (required): provided by Danaya
* Content-Type (required): application/json

**Request Body: N/A**

**Responses**

* **OK**
  * Code: 200
  * Body:

{% code overflow="wrap" %}

```json

{
    "id": 962,
    "createdAt": "2024-10-11 10:07:25",
    "clientFileToAnalyzeId": "1671d906-73d7-4dc-86cc-21ebf8624e3c",
    "status": "A_TRAITER",
    "additionalData": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "externalId": "externalId1",
    "errors": [
        {
            "code": "DUPLICATED_EXTERNAL_IDS",
            "duplicatedExternalIds": [
                "externalId1",
                "externalId2"
            ]
        }
    ]
    "score": 0,
    "company": {
        "id": 1,
        "name": "Danaya",
        "verifications": [
            "MRZ_CHECK",
            "DB_CHECK",
            "EXPIRATION_CHECK",
            "PEP_CHECK",
            "FACE_MATCH_CHECK",
            "SANCTION_CHECK",
            "MEDIA_CHECK"
        ]
    },
    "documents": [
        {
            "id": 1256,
            "type": "SELFIE",
            "frontUrl": "url",
            "verificationResults": []
        },
        {
            "id": 1255,
            "type": "CARTE_RESIDENT",
            "frontUrl": "url",
            "backUrl": "url",
             "ocrExtractedData": {
                "mrz": "",
                "nni": "11111111111",
                "image": null,
                "state": null,
                "gender": "M",
                "height": "1,75",
                "message": null,
                "ocr_raw": null,
                "last_name": "",
                "first_name": "name",
                "profession": "NAME",
                "father_name": null,
                "mother_name": null,
                "nationality": "",
                "country_code": null,
                "date_of_birth": "dd/mm/yyyy",
                "document_code": "",
                "place_of_birth": "",
                "document_expiry": "dd/mm/yyyy",
                "document_number": "",
                "father_birthday": null,
                "mother_birthday": null,
                "personal_number": null,
                "permanent_address": null,
                "date_of_birth_yyyy_mm_dd": null,
                "document_expiry_yyyy_mm_dd": null
            },
            "verificationResults": [
                {
                    "id": "ff0226d1-9f0e-4d21-b49e-40e9c442ccf0",
                    "status": "EXECUTED",
                    "lastRunDate": "2024-10-11 10:07:37",
                    "type": "SANCTION_CHECK",
                    "scoring": {
                        "type": "PersonSanctionedScoring",
                        "results": [],
                        "allResults": []
                    },
                    "clientFileDocumentId": 1255
                },
                {
                    "id": "057fe8a8-bfec-4bd4-adb7-2746b5773a77",
                    "status": "EXECUTED",
                    "lastRunDate": "2024-10-11 10:07:48",
                    "type": "EXPIRATION_CHECK",
                    "scoring": {
                        "type": "ExpiryDateScoring",
                        "score": "EXPIRED"
                    },
                    "clientFileDocumentId": 1255
                },
                {
                    "id": "1a14e3d4-0154-4e0e-8356-76eba251c0c1",
                    "status": "EXECUTED",
                    "lastRunDate": "2024-10-11 10:07:41",
                    "type": "MEDIA_CHECK",
                    "scoring": {
                        "type": "MediaScoring",
                        "results": []
                    },
                    "clientFileDocumentId": 1255
                },
                {
                    "id": "fd74cc61-ecf0-43ef-ba6b-d033f618c8ef",
                    "status": "EXECUTED",
                    "lastRunDate": "2024-10-11 10:07:34",
                    "type": "PEP_CHECK",
                    "scoring": {
                        "type": "PepScoring",
                        "results": [],
                        "allResults": [
                     
                        ]
                    },
                    "clientFileDocumentId": 1255
                },
                {
                    "id": "09672d60-22fc-4a52-9ed0-848dc36a57db",
                    "status": "EXECUTED",
                    "lastRunDate": "2024-10-11 10:07:48",
                    "type": "MRZ_CHECK",
                    "scoring": {
                        "type": "MRZScoring",
                        "errors": [
                            "INVALID_MRZ_FOUND"
                        ],
                        "valid": false
                    },
                    "clientFileDocumentId": 1255
                },
                {
                    "id": "dfe39085-5606-4ebb-bad0-66dae47af562",
                    "status": "EXECUTED",
                    "lastRunDate": "2024-10-11 10:07:48",
                    "type": "FACE_MATCH_CHECK",
                    "scoring": {
                        "type": "FaceMatch",
                        "faceMatched": false,
                        "similarity": "0",
                        "comparedImageBase64": null,
                        "faceMatchVerificationType": "GOVERNMENT"
                    },
                    "clientFileDocumentId": 1255
                },
                {
                    "type": "DB_CHECK",
                    "scoring": {
                        "type": "PersonInfoScoring",
                        "id": 611,
                        "nni": "11111111111111",
                        "iDCardNumber": null,
                        "phoneNumber": null,
                        "firstNameMatchingScore": 100,
                        "lastNameMatchingScore": 100,
                        "dateOfBirthMatchingScore": 100,
                        "genderMatchingScore": 100,
                        "phoneNumberMatchingScore": 0,
                        "comparedWithRealData": true,
                        "rawData": "{}"// JSON containing the gov DB Data
                    },
                    "clientFileDocumentId": 1255
                }
            ]
        }
    ]
}
```

{% endcode %}

* **UnAuthorized**
* **Bad Request**

</details>

<details>

<summary>Retrieve all KYC or KYB verifications</summary>

<mark style="background-color:green;">GET v2/clients-files/?page=1\&startDate=yyyy-mm-dd\&endDate=yyyy-mm-dd</mark>

**Headers:**

* &#x20;Api-Key (required): provided by Danaya
* Api-Secret (required): provided by Danaya
* Content-Type (required): application/json

**Requests Params**

* **page**: An integer specifying the page number for pagination. The default value is `1`.
* **startDate** (required): The start date for the search query. It must be provided in the format `yyyy-mm-dd`.
* **endDate** (required): The end date for the search query. It must be provided in the format `yyyy-mm-dd`.

These parameters allow you to filter results by a specific date range and retrieve data in paginated format. The **startDate** and **endDate** parameters are mandatory and ensure that results fall within the specified date range.

**Request Body: N/A**

**Responses**

* Code: 200
* Body:

```json
{
    "content": [], // a list of Response of Retrieve a KYC or KYB Analysis Result v2 (above)
    "pageNumber": 1,
    "pageSize": 10,
    "totalElements": 0,
    "totalPages": 0,
    "last": true,
    "first": false
}

```

</details>

<details>

<summary>Retrieve a KYC or KYB Analysis Result By ExternalID</summary>

<mark style="background-color:green;">GET /v2/clients-files/by-external-id/{externalId}</mark>

externalId: is the id you provided

**Headers:**

* &#x20;Api-Key (required): provided by Danaya
* Api-Secret (required): provided by Danaya
* Content-Type (required): application/json

**Request Body: N/A**

**Responses**

* **OK**
  * Code: 200
  * Body:

```json

{
    "id": 962,
    "createdAt": "2024-10-11 10:07:25",
    "clientFileToAnalyzeId": "1671d906-73d7-4dc-86cc-21ebf8624e3c",
    "status": "A_TRAITER",
    "additionalData": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "externalId": "externalId1",
    "errors": [
        {
            "code": "DUPLICATED_EXTERNAL_IDS",
            "duplicatedExternalIds": [
                "externalId1",
                "externalId2"
            ]
        }
    ]
    "score": 0,
    "company": {
        "id": 1,
        "name": "Danaya",
        "verifications": [
            "MRZ_CHECK",
            "DB_CHECK",
            "EXPIRATION_CHECK",
            "PEP_CHECK",
            "FACE_MATCH_CHECK",
            "SANCTION_CHECK",
            "MEDIA_CHECK"
        ]
    },
    "documents": [
        {
            "id": 1256,
            "type": "SELFIE",
            "frontUrl": "url",
            "verificationResults": []
        },
        {
            "id": 1255,
            "type": "CARTE_RESIDENT",
            "frontUrl": "url",
            "backUrl": "url",
             "ocrExtractedData": {
                "mrz": "",
                "nni": "11111111111",
                "image": null,
                "state": null,
                "gender": "M",
                "height": "1,75",
                "message": null,
                "ocr_raw": null,
                "last_name": "",
                "first_name": "name",
                "profession": "NAME",
                "father_name": null,
                "mother_name": null,
                "nationality": "",
                "country_code": null,
                "date_of_birth": "dd/mm/yyyy",
                "document_code": "",
                "place_of_birth": "",
                "document_expiry": "dd/mm/yyyy",
                "document_number": "",
                "father_birthday": null,
                "mother_birthday": null,
                "personal_number": null,
                "permanent_address": null,
                "date_of_birth_yyyy_mm_dd": null,
                "document_expiry_yyyy_mm_dd": null
            },
            "verificationResults": [
                {
                    "id": "ff0226d1-9f0e-4d21-b49e-40e9c442ccf0",
                    "status": "EXECUTED",
                    "lastRunDate": "2024-10-11 10:07:37",
                    "type": "SANCTION_CHECK",
                    "scoring": {
                        "type": "PersonSanctionedScoring",
                        "results": [],
                        "allResults": []
                    },
                    "clientFileDocumentId": 1255
                },
                {
                    "id": "057fe8a8-bfec-4bd4-adb7-2746b5773a77",
                    "status": "EXECUTED",
                    "lastRunDate": "2024-10-11 10:07:48",
                    "type": "EXPIRATION_CHECK",
                    "scoring": {
                        "type": "ExpiryDateScoring",
                        "score": "EXPIRED"
                    },
                    "clientFileDocumentId": 1255
                },
                {
                    "id": "1a14e3d4-0154-4e0e-8356-76eba251c0c1",
                    "status": "EXECUTED",
                    "lastRunDate": "2024-10-11 10:07:41",
                    "type": "MEDIA_CHECK",
                    "scoring": {
                        "type": "MediaScoring",
                        "results": []
                    },
                    "clientFileDocumentId": 1255
                },
                {
                    "id": "fd74cc61-ecf0-43ef-ba6b-d033f618c8ef",
                    "status": "EXECUTED",
                    "lastRunDate": "2024-10-11 10:07:34",
                    "type": "PEP_CHECK",
                    "scoring": {
                        "type": "PepScoring",
                        "results": [],
                        "allResults": [
                     
                        ]
                    },
                    "clientFileDocumentId": 1255
                },
                {
                    "id": "09672d60-22fc-4a52-9ed0-848dc36a57db",
                    "status": "EXECUTED",
                    "lastRunDate": "2024-10-11 10:07:48",
                    "type": "MRZ_CHECK",
                    "scoring": {
                        "type": "MRZScoring",
                        "errors": [
                            "INVALID_MRZ_FOUND"
                        ],
                        "valid": false
                    },
                    "clientFileDocumentId": 1255
                },
                {
                    "id": "dfe39085-5606-4ebb-bad0-66dae47af562",
                    "status": "EXECUTED",
                    "lastRunDate": "2024-10-11 10:07:48",
                    "type": "FACE_MATCH_CHECK",
                    "scoring": {
                        "type": "FaceMatch",
                        "faceMatched": false,
                        "similarity": "0",
                        "comparedImageBase64": null,
                        "faceMatchVerificationType": "GOVERNMENT"
                    },
                    "clientFileDocumentId": 1255
                },
                {
                    "type": "DB_CHECK",
                    "scoring": {
                        "type": "PersonInfoScoring",
                        "id": 611,
                        "nni": "11111111111111",
                        "iDCardNumber": null,
                        "phoneNumber": null,
                        "firstNameMatchingScore": 100,
                        "lastNameMatchingScore": 100,
                        "dateOfBirthMatchingScore": 100,
                        "genderMatchingScore": 100,
                        "phoneNumberMatchingScore": 0,
                        "comparedWithRealData": true,
                        "rawData": "{}"// JSON containing the gov DB Data
                    },
                    "clientFileDocumentId": 1255
                }
            ]
        }
    ]
}

```

* **UnAuthorized**
* **Bad Request**

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.danaya.africa/documentation/integration-mode/rest-api/retrieve-document-verification-result.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
